> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Image CDN delivery key

> Dashboard-session endpoint that creates a publishable `cvly_pub_...` token for Image CDN URLs. The full token is returned once.



## OpenAPI

````yaml /openapi.json post /api/delivery-keys
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/delivery-keys:
    post:
      tags:
        - Image CDN
      summary: Create an Image CDN delivery key
      description: >-
        Dashboard-session endpoint that creates a publishable `cvly_pub_...`
        token for Image CDN URLs. The full token is returned once.
      operationId: createDeliveryKey
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 64
                alias:
                  type: string
                  minLength: 3
                  maxLength: 63
                  pattern: ^[a-z0-9][a-z0-9_-]*$
                  description: Optional public URL prefix instead of cvly_pub_â€¦ token.
              required:
                - name
      responses:
        '201':
          description: Delivery key created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                  token:
                    type: string
                required:
                  - key
                  - token
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````